"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const DBTablesService_1 = require("../../services/DBTablesService/DBTablesService");
class DBTablesController {
    static getTables(_req, res) {
        const dbTables = DBTablesService_1.DBTablesService.getTables(res.locals.databaseConnection.models);
        res.send(dbTables);
    }
    static getTableRows(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const tableName = req.params.table;
            const model = res.locals.databaseConnection.models[tableName];
            const modelFieldNames = DBTablesService_1.DBTablesService.getTablesFieldNames(model);
            const rows = yield DBTablesService_1.DBTablesService.getTableRows(model);
            res.send({ modelFieldNames, rows });
        });
    }
    static getTableRowByPk(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const params = req.params;
            const dbModel = res.locals.databaseConnection.models[params.table];
            let row = yield DBTablesService_1.DBTablesService.getTableRowByPk(params, dbModel);
            res.send(row);
        });
    }
    static createRow(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const table = req.params.table;
            const dbModel = res.locals.databaseConnection.models[table];
            const newRow = yield DBTablesService_1.DBTablesService.createRow(req.body, dbModel);
            res.send(newRow);
        });
    }
    static updateRow(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const reqBody = req.body;
            const pk = req.params.pk;
            const table = req.params.table;
            const dbModel = res.locals.databaseConnection.models[table];
            reqBody.pk = pk;
            const response = yield DBTablesService_1.DBTablesService.updateRow(reqBody, dbModel);
            res.send(response);
        });
    }
    static deleteRow(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const pk = { pk: req.params.pk };
            const table = req.params.table;
            const dbModel = res.locals.databaseConnection.models[table];
            const response = yield DBTablesService_1.DBTablesService.deleteRow(pk, dbModel);
            res.status(response.status).send(response);
        });
    }
    static getTableFieldNames(req, res) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const table = req.params.table;
            const dbModel = res.locals.databaseConnection.models[table];
            const tableFieldNames = yield dbModel.describe();
            res.status(200).send(tableFieldNames);
        });
    }
    static createTable() { }
}
exports.default = DBTablesController;
//# sourceMappingURL=DBTablesController.js.map