"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AuthenticateAdminController_1 = require("./AuthenticateAdminController/AuthenticateAdminController");
const BaseUrlController_1 = require("./BaseUrlController/BaseUrlController");
const DBTablesController_1 = require("./DBTablesController/DBTablesController");
class RoutesController {
    static registerAllRoutes(router) {
        this.setRouter(router);
        this.registerBaseUrlRoutes();
        this.registerAuthenticateAdminRoutes();
        this.registerDBTablesRoutes();
    }
    static registerBaseUrlRoutes() {
        this.router.get(`${this.expressAdminArea}/api/baseurl`, BaseUrlController_1.default.getDomainName);
    }
    static registerAuthenticateAdminRoutes() {
        this.router.post(this.expressAdminArea + '/api/auth', AuthenticateAdminController_1.default.authAdmin);
        this.router.post(this.expressAdminArea + '/api/verify', AuthenticateAdminController_1.default.verifyToken);
    }
    static registerDBTablesRoutes() {
        this.router.get(this.expressAdminArea + '/api/tables', DBTablesController_1.default.getTables);
        this.router.get(this.expressAdminArea + '/api/tables/:table', DBTablesController_1.default.getTableRows);
        this.router.get(this.expressAdminArea + '/api/tables/:table/describe', DBTablesController_1.default.getTableFieldNames);
        this.router.get(this.expressAdminArea + '/api/tables/:table/:pk', DBTablesController_1.default.getTableRowByPk);
        this.router.post(this.expressAdminArea + '/api/tables/:table', DBTablesController_1.default.createRow);
        this.router.patch(this.expressAdminArea + '/api/tables/:table/:pk', DBTablesController_1.default.updateRow);
        this.router.delete(this.expressAdminArea + '/api/tables/:table/:pk', DBTablesController_1.default.deleteRow);
    }
    static setRouter(router) {
        this.router = router;
    }
}
RoutesController.expressAdminArea = '/expressadminarea';
exports.default = RoutesController;
//# sourceMappingURL=RoutesController.js.map