"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Sequelize = require("sequelize");
const Admin_1 = require("./models/Admin");
const RoutesController_1 = require("./controllers/RoutesController");
const MiddlewareRegisterer_1 = require("./middlewares/MiddlewareRegisterer/MiddlewareRegisterer");
const ViewRegisterer_1 = require("./middlewares/ViewRegisterer/ViewRegisterer");
const index_1 = require("./utilities/index");
class ExpressAdminArea {
    static init(express, databaseUri, databaseTables) {
        this.express = express;
        this.router = express.Router();
        this.databaseConnection = new Sequelize(databaseUri);
        this.databaseConnection.models = Object.assign({ admin: Admin_1.Admin(this.databaseConnection) }, index_1.ModelConfigurator.configureModels(databaseTables));
        MiddlewareRegisterer_1.default.registerMiddlewares(this);
        RoutesController_1.default.registerAllRoutes(this.router);
        ViewRegisterer_1.default.registerViews(this);
        return this.router;
    }
}
exports.ExpressAdminArea = ExpressAdminArea;
//# sourceMappingURL=main.js.map