"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MiddlewareRegisterer {
    static registerMiddlewares(ExpressAdminArea) {
        this.setExpressAdminArea(ExpressAdminArea);
        this.registerContentTypes();
        this.registerGlobalVariables();
    }
    static registerContentTypes() {
        this.ExpressAdminArea.router.use(this.ExpressAdminArea.express.json());
    }
    static registerGlobalVariables() {
        this.ExpressAdminArea.router.use((req, res, next) => {
            const http = req.protocol;
            const domainName = req.get('host');
            res.locals.baseUrl = `${http}://${domainName}/expressadminarea`;
            res.locals.databaseConnection = this.ExpressAdminArea.databaseConnection;
            res.locals.config = this.ExpressAdminArea.config;
            next();
        });
    }
    static setExpressAdminArea(ExpressAdminArea) {
        this.ExpressAdminArea = ExpressAdminArea;
    }
}
exports.default = MiddlewareRegisterer;
//# sourceMappingURL=MiddlewareRegisterer.js.map