"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const Admin = db => {
    const adminModel = db.define('admins', {
        username: {
            type: sequelize_1.default.STRING,
            allowNull: false,
            validate: {
                isAlphanumeric: true,
                len: [1, 256]
            }
        },
        password: {
            type: sequelize_1.default.STRING,
            allowNull: false,
            validate: {
                len: [1, 256]
            }
        }
    }, {
        indexes: [
            {
                unique: true,
                fields: ['username']
            }
        ],
        scopes: {
            expressAdminArea: {
                attributes: {
                    exclude: ['password']
                }
            }
        }
    });
    return adminModel;
};
exports.Admin = Admin;
//# sourceMappingURL=Admin.js.map