"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const bcrypt = require("bcrypt");
class DataEncryptor {
    static encrypt(unencryptedData) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const encryptedData = yield bcrypt.hash(unencryptedData, 10);
            return encryptedData;
        });
    }
    static compare(plainPassword, hashedPassword) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const isPasswordsMatch = yield bcrypt.compare(plainPassword, hashedPassword);
            return isPasswordsMatch;
        });
    }
}
exports.DataEncryptor = DataEncryptor;
//# sourceMappingURL=DataEncryptor.js.map