"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModelConfigurator {
    static configureModels(models) {
        ModelConfigurator.setModels(models);
        ModelConfigurator.addModelScope();
        return ModelConfigurator.arrayToObject();
    }
    static setModels(models) {
        ModelConfigurator.models = models;
    }
    static addModelScope() {
        const models = ModelConfigurator.models.map((model) => {
            try {
                model.model.scope('expressAdminArea');
            }
            catch (_e) {
                model.model.addScope('expressAdminArea', {});
            }
            return model;
        });
        ModelConfigurator.models = models;
    }
    static arrayToObject() {
        const models = {};
        ModelConfigurator.models.forEach((model) => {
            const modelNameLowerCase = model.model.name.toLowerCase();
            models[modelNameLowerCase] = model.model;
        });
        return models;
    }
}
ModelConfigurator.models = null;
exports.ModelConfigurator = ModelConfigurator;
//# sourceMappingURL=ModelConfigurator.js.map